External Assets
Resolve external asset URLs
post
Authorizations
AuthorizationstringRequired
Body
Represents settings given when resolving thumbnail urls of external assets
AssetIdsstring[] · nullableOptional
List of asset ids to resolve thumbnails for
Widthinteger · int32 · nullableOptional
Width of preview
Heightinteger · int32 · nullableOptional
Height of preview
CropModestring · nullableOptional
Crop mode of preview (pad, max, crop)
BgColorstring · nullableOptional
Background color of preview. Used if pad set as crop mode.
Formatstring · nullableOptional
Format of preview (jpg, png)
Responses
200
OK
application/json
Other propertiesstringOptional
post/v1/externalassets/getthumbnails
POST /v1/externalassets/getthumbnails HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"AssetIds": [
"a8h2638de7d8a853675d47229bf430cb",
"b58g62h37896g7851c395f75f98a4948"
],
"Width": 500,
"Height": 500,
"CropMode": "pad",
"BgColor": "#000000",
"Format": "jpg"
}200
OK
{
"a8h2638de7d8a853675d47229bf430cb": "https://external-dam.example.com/assets/a8h2638de7d8a853675d47229bf430cb/thumbnail?width=100&height=200&cropMode=lpad&format=webp&bgColor=ffffff",
"b58g62h37896g7851c395f75f98a4948": "https://external-dam.example.com/assets/b58g62h37896g7851c395f75f98a4948/thumbnail?width=100&height=200&cropMode=lpad&format=webp&bgColor=ffffff"
}post
Authorizations
AuthorizationstringRequired
Bodystring[]
string[]Optional
Responses
200
OK
application/json
Other propertiesstringOptional
post/v1/externalassets/geturls
POST /v1/externalassets/geturls HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71
[
"a8h2638de7d8a853675d47229bf430cb",
"b58g62h37896g7851c395f75f98a4948"
]200
OK
{
"a8h2638de7d8a853675d47229bf430cb": "https://external-dam.example.com/assets/a8h2638de7d8a853675d47229bf430cb/original.jpg",
"b58g62h37896g7851c395f75f98a4948": "https://external-dam.example.com/assets/b58g62h37896g7851c395f75f98a4948/original.jpg"
}Last updated